import request from '@/utils/request'

// 查询商品SKU列表
export function listSku(query) {
  return request({
    url: '/bst/sku/list',
    method: 'get',
    params: query
  })
}

// 查询商品SKU详细
export function getSku(id) {
  return request({
    url: '/bst/sku/' + id,
    method: 'get'
  })
}

// 新增商品SKU
export function addSku(data) {
  return request({
    url: '/bst/sku',
    method: 'post',
    data: data
  })
}

// 修改商品SKU
export function updateSku(data) {
  return request({
    url: '/bst/sku',
    method: 'put',
    data: data
  })
}

// 删除商品SKU
export function delSku(id) {
  return request({
    url: '/bst/sku/' + id,
    method: 'delete'
  })
}


// 手动生成ID
export function generateId(id) {
  return request({
    url: '/bst/sku/generateId',
    method: 'get'
  })
}
